Bug 118019 - simplesurvey application (1.0) : wrong constraint in Response.pdl with CMS 6
simplesurvey application (1.0) : wrong constraint in Response.pdl with CMS 6
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-11 02:06 EST by durnez
Modified: 2007-04-18 13:04 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 13:49:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description durnez 2004-03-11 02:06:04 EST
Description of problem:
I use simplesurvey version 1.0 with CMS 6.0.1.

in Response.pdl :
object type Response extends ACSObject {
......
    component Answer[1..n] answers = join ss_responses.response_id 
                                       to ss_answers.response_id;
......

constraint 1..n is wrong because answers can all be optional.

Did this issue not appear with CMS 5.2 because of constraints not
rigorously enforced in 5.2 ?

The solution is to change [1..n] by [0..n]

Version-Release number of selected component (if applicable):
simplesurvey 1.0
CMS 6.0.1 (must be the same issue with 6.0.0)
Comment 1 Jon Orris 2006-09-05 13:49:12 EDT
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.